function initRvkTree() {
    $('#treesearch_jstree').jstree({
        'core' : {
            'data' : function (node, cb) {
                $.ajax({
                    url : rvkBaseUri+'AJAX/JSON?method=rvk&notation='+encodeURIComponent(node.id),
                    dataType:'json',
                    success : function(data) {
                        cb(data.data);
                    }
                });
            }
        },
        'plugins' : ['rvkLink']
    });

    $('#treesearch_jstree')
        .on('click', '.jstree-anchor', function (e) {
            $('#treesearch_jstree').jstree(true).toggle_node(e.target);
        });

    $("#treesearch_jstree").jstree("close_all", -1);
}

/* --- RVK --- */
function initSearchIconToRvkTree() {
    // additional icon on node (outside of anchor)
    (function ($, undefined) {
        if (typeof translationShow === 'undefined') {
            var translationShow = "suchen";
        }
        "use strict";
        var span = document.createElement('span');
        $(span).html('<a href="" title="' + translationShow + '" class="rvkTreeNodeExternalLink"><i class="fa fa-search rvkTreeNodeExternalLinkIcon" aria-hidden="true"></i> ' + translationShow + '</a>');

        $.jstree.defaults.rvkLink = $.noop;
        $.jstree.plugins.rvkLink = function (options, parent) {
            this.bind = function () {
                parent.bind.call(this);
                this.element
                    .on("click.jstree", ".jstree-rvkLink", $.proxy(function (e) {
                        debugger;
                        e.stopImmediatePropagation();
                        this.settings.rvkLink.call(this, this.get_node(e.target));
                    }, this));
            };
            this.teardown = function () {
                if (this.settings.rvkLink) {
                    this.element.find(".jstree-rvkLink").remove();
                }
                parent.teardown.call(this);
            };
            this.redraw_node = function (obj, deep, callback, force_draw) {
                var lookfor = obj;
                lookfor = lookfor.replace(/_/g, '+');
                obj = parent.redraw_node.call(this, obj, deep, callback, force_draw);
                if (obj) {
                    var tmp = span.cloneNode(true);
                    $(tmp).find('a').attr('href', rvkBaseUri + "Search/Results?lookfor=" + lookfor + "&type=rvk_path");
                    obj.insertBefore(tmp, obj.childNodes[2]);
                }
                return obj;
            };
        };
    })(jQuery);
}